using Google.Apis.YouTube.v3.Data;
using System.Collections.Generic;
using Windows.UI.Xaml;
using Windows.UI.Xaml.Controls;

namespace FoxTube.Pages
{
    /// <summary>
    /// User's subscriptions page
    /// </summary>
    public sealed partial class Subscriptions : Page, INavigationPage
    {
        public object Parameter { get; set; } = null;
        readonly List<Subscription> list = SecretsVault.Subscriptions;
        public Subscriptions()
        {
            InitializeComponent();

            Methods.MainPage.PageContent.LoadingPage.Close();
        }

        private void Button_Click(object sender, RoutedEventArgs e)
        {
            Methods.MainPage.GoToChannel(((Button)sender).Tag.ToString());
        }
    }
}
